# create

> The interactive wizard offers you a series of choices in form of an interactive wizard to fill up all giveaway properties such as giveaway prize, winner, duration or required roles. It is a simpler method than using a slash command, but both have same functionality.

{% tabs %}
{% tab title="Aliases" %}
giveawaycreate, giveawaywizard, gwcreate, gwwizard
{% endtab %}

{% tab title="Cooldown" %}
30 seconds
{% endtab %}

{% tab title="Permissions" %}

* `MANAGE_SERVER:` The discord user running the command should have at least this permission in the giveaway server.
  {% endtab %}

{% tab title="Requirements" %}

* `VIEW_CHANNEL:` Nyaru should be able to view the giveaway channel.
* `SEND_MESSAGES:` Nyaru should be able to send the giveaway message.
* `EMBED_LINKS:` Nyaru should be able to send giveaway embeds in the giveaway channel.
* `MANAGE_MESSAGES:` Nyaru should have this permission to control giveaway reactions.
  {% endtab %}
  {% endtabs %}

{% hint style="warning" %}
During the giveaway wizard (`@Nyaru gcreate`), you need to communicate with Nyaru using messages in the same channel. To provide valid values, you're given 3 attempts with the respective error message to provide the correct value.
{% endhint %}

## Usage

`@Nyaru gcreate`

`/giveaway create (options)`

## Giveaway Options

<table><thead><tr><th width="195">Option</th><th>Description</th><th>Example</th></tr></thead><tbody><tr><td>Channel<mark style="color:red;">*</mark></td><td>Provide the giveaway channel or channel ID where the giveaway should be hosted.</td><td><ul><li>#channel </li><li>channelId</li></ul></td></tr><tr><td>Prize<mark style="color:red;">*</mark></td><td>Provide the giveaway prize. Ensure the prize character limit is 100.</td><td><ul><li>Nitro Basic</li></ul></td></tr><tr><td>Duration<mark style="color:red;">*</mark></td><td>Provide the giveaway duration. Ensure the duration is between 30 seconds and 1 year.</td><td><ul><li>10 hours</li><li>1 week 2 days</li></ul></td></tr><tr><td>Winners</td><td>Provide the number of giveaway winners. Ensure winners are less than 20.</td><td><ul><li>2</li></ul></td></tr><tr><td>Messages Required</td><td>Provide the amount of messages that are required to enter the giveaway. Maximum message limit is 10000.</td><td><ul><li>20</li></ul></td></tr><tr><td>Whitelist Roles</td><td>Provide the whitelist roles for the giveaway. These roles are allowed to enter without any restrictions.</td><td><ul><li>@role1, @role2 </li><li>roleId1 roleId2</li></ul></td></tr><tr><td>Blacklist Roles</td><td>Provide the blacklist roles for the giveaway. These roles are not allowed to enter even if they qualify for any kind of conditions.</td><td><p></p><ul><li>@role1, @role2</li><li>roleId1 roleId2</li></ul></td></tr><tr><td>Roles Required</td><td>Provide the roles that are required to enter the giveaway. <a data-footnote-ref href="#user-content-fn-1">You can also set if you want to check all roles or not.</a></td><td><p></p><ul><li>@role1, @role2</li><li>roleId1 roleId2</li></ul></td></tr><tr><td>Roles Bypass</td><td>Provide the bypass roles for the giveaway. These roles are allowed to enter bypassing the conditions.</td><td><p></p><p>​</p><ul><li>@role1, @role2</li><li>roleId1 roleId2</li></ul></td></tr><tr><td>Bonus Entries</td><td>Provide the bonus entries for the giveaway. This can be used to incentivize your users having certain role to have more than 1 entries. <a data-footnote-ref href="#user-content-fn-2">You can also stack bonus entries with each other.</a></td><td><ul><li>@role1 10, @role2 20</li></ul></td></tr><tr><td>Drop Giveaway</td><td>Set this giveaway as a drop giveaway.<a href="#drop-giveaways"> Learn more about drop giveaways below.</a></td><td>Simply click the button to toggle between yes or no. For slash command, provide a boolean value <strong>(true/false)</strong>.</td></tr><tr><td>Check All Conditions</td><td>Giveaway setting that will allow you to check all conditions of the giveaway to enter the giveaway (If both roles are messages should be checked).</td><td>Simply click the button to toggle between yes or no. For slash command, provide a boolean value <strong>(true/false)</strong>.</td></tr><tr><td>Check All Roles</td><td>Giveaway setting that will allow you to check all roles required to enter the giveaway. If enabled, user must have all the roles required to enter the giveaway, otherwise user needs only one role required.</td><td>Simply click the button to toggle between yes or no. For slash command, provide a boolean value <strong>(true/false)</strong>.</td></tr><tr><td>Stack Entries<br></td><td>Giveaway setting that will allow you to stack all the bonus entries for the giveaway to give more advantage to certain users.</td><td>Simply click the button to toggle between yes or no. For slash command, provide a boolean value <strong>(true/false)</strong>.</td></tr></tbody></table>

<mark style="color:red;">Options marked with \* are mandatory options.</mark>

We have provided the most extensive and advanced giveaway options ever so we understand this could be overwhelming. You can simply use [gstart (giveaway start)](/giveaways/gstart.md) command to create a simple giveaway anytime.

### Drop Giveaways

Drop Giveaway is a new giveaway feature that allows you to launch rapid giveaways that will end immediately once all valid users react to the giveaway. Think of this as a "First Come First Serve" giveaway, where the first *x* winners to react to the giveaway will immediately win the giveaway.

Of course, all entries are validated in real-time. If you happen to have roles required or messages required options, they will be validated on each reaction. Only if the user is allowed to enter the giveaway, will they be drawn as winners.

#### Example of Drop Giveaway

Scenario: Drop Giveaway with 2 winners and the messages required are set to 10.&#x20;

Result: First 2 people who have 10 messages that reacts to this giveaway will be drawn as winners immediately and the giveaway will end.

[^1]: Refer to "Check All Roles" option.

[^2]: Refer to "Stack Entries" option.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nyaru.xyz/giveaways/gcreate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
